Flip surface U V to V U

Hi,

Is it possible to flip surface domain from UV to V U in RhinoCommon.
Or to rebuild a surface in such a way that its directionality would change ?

x.Transpose()

Does the job.

That’s Rhino.Geometry.Surface.Transpose for those of you watching at home…

– Dale

can this anyhow be done without a plugin?

Yes, try the Dir command in Rhino. --Mitch

i didnt mean inverting the surface normal or curve direction but replacing u with v and vice versa.

Yes, that’s what the SwapUV command line option in Dir does… --Mitch

2 Likes

didnt notice there was such an option on mac… either i was blind or they got added. thanks, needed this lately and searched up and down in the net…